FROM dunglas/frankenphp

ENV SERVER_NAME=":80"
ENV CADDY_GLOBAL_OPTIONS="auto_https off"
ENV APP_RUNTIME="Runtime\\FrankenPhpSymfony\\Runtime"

ARG APP_VERSION="0.dev"
ENV APP_VERSION="${APP_VERSION}"

RUN install-php-extensions \
	pdo_mysql \
	gd \
	intl \
	zip \
	opcache

COPY . /app
COPY --chmod=775 docker/app/entrypoint.sh /usr/local/bin/docker-entrypoint
COPY docker/app/Caddyfile /etc/frankenphp/Caddyfile

ENTRYPOINT [ "/usr/local/bin/docker-entrypoint" ]

CMD [ "frankenphp", "run", "--config", "/etc/frankenphp/Caddyfile" ]

HEALTHCHECK --interval=3s --timeout=3s --retries=10 CMD [ "php", "/app/bin/console", "startup:status" ]
